CreateAlertInhibitionRule
Create a new inhibition rule for correlating and suppressing alerts
POST
/api/v1/alerting/inhibition-rulesOperation ID
CreateAlertInhibitionRuleSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
nameStringRequiredHuman-readable rule name
Example: Suppress disk alerts when host down
descriptionStringRequiredRule description
Example: Suppress disk alerts when host is unreachable
sourceMatchStringRequiredSource alert matcher expression
Example: alertname=HostDown
targetMatchStringRequiredTarget alert matcher expression
Example: alertname=DiskFull
equalLabelsStringRequiredLabels that must match between source and target
Example: host,cluster
